package explore;

import java.util.Scanner;

/*
 * Demonstrates I/O with real numbers.
 * @author Michael Jenkin and Hamzeh Roumani
 * @version 0.1
 * @since Fall 2014
 */
public class App2
{
	public static void main(String[] args)
	{
		Scanner input = new Scanner(System.in);
		
		System.out.println("Enter the first real number:");
		double x = input.nextDouble();
		System.out.println("Enter the second real number:");
		double y = input.nextDouble();
		double z = x / y;
		
		// unformatted output:
		System.out.println("first divided by second = " + z);
		System.out.println(x + " divided by " + y + " = " + z);
		
		// formatted output:
		System.out.printf("%.2f divided by %.2f = %.2f\n", x, y, z);
			
	}
}